
import 'package:flutter/material.dart';
import 'view.dart';


class CustomDocumentIconResolver extends StatelessWidget {
  final String extension;

  const CustomDocumentIconResolver({
    super.key,
    required this.extension,
  });

  @override
  Widget build(BuildContext context) {
    var currentView = DesktopView(
      context: context,
      extension: extension,
    );

    return currentView.render();
  }
}
