import 'package:flutter/material.dart';
import 'package:nirrti/src/custom_components/custom_loading/view_model.dart';

mixin ViewMixin {
  render(BuildContext context, OwlnextLoadingState state) {
    return LayoutBuilder(
      builder: (BuildContext context, BoxConstraints constraints) { 
        return Align(
          alignment: state.widget.alignment ?? Alignment.center,
          child: Container(
            width: 40,
            height: 40,
            alignment: Alignment.center,
            child: CircularProgressIndicator(
              value: state.animationController.value,
              color: Theme.of(context).colorScheme.primary
            )
          )
        );
      }
    );
  }
}