import 'dart:typed_data';

import 'package:nirrti/src/utils/file/file_utils.dart';
import 'dart:io';

import 'package:path_provider/path_provider.dart';

class FileUtilsApp extends FileUtils {
  Future<File> writeToFile(Uint8List data, String path) async {
    final directory = await getApplicationDocumentsDirectory();
    var buffer = data.buffer;
    Future<File> file = File('${directory.path}/$path').writeAsBytes(
      buffer.asUint8List(data.offsetInBytes, data.lengthInBytes)
    );

    return file;
  }

}