
import 'package:nirrti/src/utils/formfield_generator/field_details.dart';

class GenericList {
  late String value;
  late String label;
  List<TargetResolver>? trigger;

  GenericList({
      required this.value,
      required this.label,
      this.trigger,
  });

  GenericList.fromJson(dynamic input) {
      value = input['value'];
      label = input['label'];

      if (input['trigger'] != null) {
        trigger = [...input['trigger'].map((e) => TargetResolver.fromJson(e))];
      }
  }

  Map<String, dynamic> toJson() {
      final Map<String, dynamic> data = <String, dynamic>{};
      data['value'] = value;
      data['label'] = label;
      return data;
  }
}