import 'package:flutter/material.dart';
import 'package:nirrti/src/custom_components/custom_autocomplete/view_model.dart';
import 'view.dart';

class DropDownContainer extends StatefulWidget {
  final double? width;
  final List<AutocompleteOption> optionsList;
  final OverlayPortalController tooltipController;
  final void Function(AutocompleteOption) onClickOption;
  final String? label;
  final double maxHeight;
  final bool isLoading;
  final bool isDropdownShown;

  const DropDownContainer({
    super.key,
    required this.width,
    required this.optionsList,
    required this.tooltipController,
    required this.onClickOption,
    required this.label,
    required this.maxHeight,
    required this.isLoading,
    required this.isDropdownShown,
  });

  @override
  DropDownContainerState createState() {
    return DropDownContainerState();
  }
}

class DropDownContainerState extends State<DropDownContainer> with ViewMixin {
  
  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }
  
  @override
  Widget build(BuildContext context) {
    return render(context, this);
  }
}