
import 'dart:math';

extension IntExtension on int {
  String parseIntIntoAmount() {    
    final result = toString().replaceAllMapped(
        RegExp(r'(\d{1,3})(?=(\d{3})+(?!\d))'), (Match m) => '${m[1]} ');
    return result;
  }

  double formatDoubleFromAmount(scale) {
    double correctAmount = this / (pow(10, scale));

    return correctAmount;
  }
}