
class FieldsPostInput {
  late String name;
  late String? value;
  late List<FieldsPostInput?>? fields;

  FieldsPostInput({
      required this.name,
      this.value,
      this.fields,
  });

  Map<String, dynamic> toJson() {
      final Map<String, dynamic> data = <String, dynamic>{};
      data['name'] = name;
        if(fields != null && fields!.isNotEmpty) {
        data['fields'] = [...fields!.map((e) => e?.toJson())];
      } else {
        data['value'] = value;
      }
      return data;
  }
}